Page MenuHomePhabricator

RFC: Allow user to set the title of the each tab
ClosedPublic

Authored by zehortigoza on Mar 2 2016, 1:18 PM.

Details

Reviewers
billiob
Summary

This is one feature that is missing for me on terminology.
I had also pushed to devs/zehortigoza/user-title if someone want to try without going by the Phabricator process.

Thanks

Diff Detail

Repository
rTRM apps/terminology
Branch
devs/zehortigoza/user-title
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1451
Build 1516: arc lint + arc unit
zehortigoza updated this revision to Diff 8581.Mar 2 2016, 1:18 PM
zehortigoza retitled this revision from to RFC: Allow user to set the title of the each tab.
zehortigoza updated this object.
zehortigoza edited the test plan for this revision. (Show Details)
zehortigoza added a reviewer: billiob.
zehortigoza set the repository for this revision to rTRM apps/terminology.
zehortigoza added a project: Terminology.
zehortigoza added inline comments.Mar 2 2016, 5:54 PM
src/bin/win.c
3219

Huum I should check if title is null before call the strlen()

billiob added inline comments.Mar 3 2016, 4:22 AM
src/bin/win.c
3242

You should use gettext and have _("Set Title:")

3246

_("Ok")

3251

_("Cancel")

zehortigoza marked 3 inline comments as done.Mar 3 2016, 5:43 AM

Ok, beside that everything else looks good?
The position of the button on the menu is ok? Should I draw an icon to the button? Or who should I ping?

billiob edited edge metadata.Mar 3 2016, 12:37 PM

You also might want to show the popup when double-clicking on a tab. See T3143. Can be an other commit.
Other than that, looks ok.

src/bin/controls.c
289

you should probably use the document-edit icon.

zehortigoza marked 2 inline comments as done.Mar 4 2016, 6:42 AM

Thanks for the review.
This was pushed with the fixes.

I will do the T3143 on another commit on next week.
Thanks

billiob accepted this revision.Mar 6 2016, 4:31 AM
billiob edited edge metadata.
This revision is now accepted and ready to land.Mar 6 2016, 4:31 AM
billiob closed this revision.Mar 6 2016, 4:31 AM